declare @p_funcionalidad int
declare @uid varchar(50)
declare @p_idpadre int
select  @uid= uid from seg_usuario where id=1
select top 1 @p_idpadre=id from gui_funcionalidad where funcionalidad='detalle equipo'
if not exists( select * from gui_funcionalidad where [funcionalidad]= 'Causas' and [nombreControl]='equ_falla' and [esMenu]=1)
begin
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Causas',@p_idpadre,3,'/forms/equ/equ_falla.aspx?f=c','',1,'','','','equ_falla','',7)
set @p_funcionalidad = @@identity
update gui_funcionalidad set url='/forms/equ/equ_falla.aspx?f=f' where funcionalidad='fallas' and id_funcionalidad= @p_idpadre
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (1,@p_funcionalidad ,'01',@uid,'') 
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (2,@p_funcionalidad ,'01',@uid,'') 
end